Loading...
Searching...
No Matches
Dune::MatrixDimension< Dune::DynamicMatrix< T > > Struct Template Reference

`#include <dune/istl/matrixutils.hh>`

Inheritance diagram for Dune::MatrixDimension< Dune::DynamicMatrix< T > >:

## Public Types

typedef Dune::DynamicMatrix< T > | MatrixType
typedef MatrixType::size_type | size_type

## Static Public Member Functions

static size_type | rowdim (const MatrixType &, size_type)
static size_type | coldim (const MatrixType &, size_type)
static size_type | rowdim (const MatrixType &A)
static size_type | coldim (const MatrixType &A)

## Member Typedef Documentation

## MatrixType

template<class T>

typedef Dune::DynamicMatrix<T> Dune::MatrixDimension< Dune::DynamicMatrix< T > >::MatrixType

## size_type

template<class T>

typedef MatrixType::size_type Dune::MatrixDimension< Dune::DynamicMatrix< T > >::size_type

## Member Function Documentation

## coldim() [1/2]

template<class T>

size_type Dune::MatrixDimension< Dune::DynamicMatrix< T > >::coldim | ( | const MatrixType & | ,
|  | size_type | )

inline static

## coldim() [2/2]

template<class T>

size_type Dune::MatrixDimension< Dune::DynamicMatrix< T > >::coldim | ( | const MatrixType & | A | ) |

inline static

## rowdim() [1/2]

template<class T>

size_type Dune::MatrixDimension< Dune::DynamicMatrix< T > >::rowdim | ( | const MatrixType & | ,
|  | size_type | )

inline static

## rowdim() [2/2]

template<class T>

size_type Dune::MatrixDimension< Dune::DynamicMatrix< T > >::rowdim | ( | const MatrixType & | A | ) |

inline static

The documentation for this struct was generated from the following file:

- matrixutils.hh